● [Small Fix]Forum News Module

Sat Sep 03, 2022 10:09 am
Clan Leader
Top Dog
Nuke Dev / Coder
2817 Posts
coRpSE
Currently Offline
Offline

Most Played:
This week: 21.2hrs.
Total Played: 2,100hrs.


  
Taking a break from work!
Reputation: 7013.2
votes: 6
Okay, I updated the forum news module today with 4 small fixes, not worthy of a version change. Normally, I would put the code here for you guys to edit your self, but due to the code, and how the list likes to strip some of the code even though I mark it to allow it. So all you need to do is just download the version that you have replace the index.php file of the module, that's it.

Here is a diffchecker of what I have changed.
Please login to see this link
Get registered or Log in


I believe that is version 2.1 I use there for the diffchecker example.


Expand
Sat Sep 03, 2022 12:19 pm
Spammer
106 Posts
casterdon
Currently Offline
Offline
  
Doesn't like playing games!
Reputation: 761.6
Thanks coRpSE, is this for 2.1 and 3.1


Please login to see this link
Get registered or Log in
Sat Sep 03, 2022 12:39 pm
Spammer
106 Posts
casterdon
Currently Offline
Offline
  
Doesn't like playing games!
Reputation: 761.6
Hi coRpSE, when i download the modules 2.1 or 3.1 it tells me they are corrupt. thats with firefox, works with chrome.


 
Sat Sep 03, 2022 1:13 pm
Original Poster
Clan Leader
Top Dog
Nuke Dev / Coder
2817 Posts
coRpSE
Currently Offline
Offline

Most Played:
This week: 21.2hrs.
Total Played: 2,100hrs.


  
Taking a break from work!
Reputation: 7013.2
votes: 6
Yeah, it's for both. The only things that were changed were minor things that can be seen in the diffchecker. Stuff like changing the old style of the use of an "OR" in an if statement. I changed that to the double pipes, ||, which has been and is the standard. I also reduced the amount of if statements for the pagination, for it could have been all combined into one. Also had two bad file paths that were fixed.

Thanks for the report about Firefox. I will check it out in a few.


 
Sat Sep 03, 2022 3:07 pm
Original Poster
Clan Leader
Top Dog
Nuke Dev / Coder
2817 Posts
coRpSE
Currently Offline
Offline

Most Played:
This week: 21.2hrs.
Total Played: 2,100hrs.


  
Taking a break from work!
Reputation: 7013.2
votes: 6
— zardos wrote
Hi coRpSE, when i download the modules 2.1 or 3.1 it tells me they are corrupt. thats with firefox, works with chrome.


Okay, I checked it out with Firefox, and I am unable to replicate it. I was able to download and open both of them, but to be on the safe side, I re-packed them and up re-uploaded them to the site.


 
Sat Sep 03, 2022 3:15 pm
Spammer
106 Posts
casterdon
Currently Offline
Offline
  
Doesn't like playing games!
Reputation: 761.6
That works great now thanks.


 
Sat Sep 03, 2022 3:52 pm
Original Poster
Clan Leader
Top Dog
Nuke Dev / Coder
2817 Posts
coRpSE
Currently Offline
Offline

Most Played:
This week: 21.2hrs.
Total Played: 2,100hrs.


  
Taking a break from work!
Reputation: 7013.2
votes: 6
nice.


 
Forums ©